﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.treeLeft.ItemsSource = GenerateTree();
            this.treeLeft.ExpandAll();

        }

        private ObservableCollection<DataItem> GenerateTree()
        {
            ObservableCollection<DataItem> firstLevelItems = new ObservableCollection<DataItem>();
            for (int i = 0; i < 3; i++)
            {
                DataItem item = new DataItem() { Name = String.Format("Item {0}", i) };
                for (int j = 0; j < 2; j++)
                {
                    DataItem childItem = new DataItem() { Name = String.Format("Item {0}.{1}", i, j) };
                    for (int k = 0; k < 2; k++)
                    {
                        DataItem grandCHildItem = new DataItem() { Name = String.Format("Item {0}.{1}.{2}", i, j, k) };
                        childItem.Children.Add(grandCHildItem);
                    }
                    item.Children.Add(childItem);
                }
                firstLevelItems.Add(item);
            }
            return firstLevelItems;
        }


    }
}
